<?php 
 	if(isset($_GET['idtin']))
 	{
 	$idtin = $_GET['idtin'];
 	}	
 	$result = $quantridata -> idbaiviet($idtin);
 	$row = mysqli_fetch_array($result);
 	
?>
<?php 
	if(isset($_POST["sua"]))
	{
		// ------------Up ảnh------------
	if(isset($_FILES["urlhinh"]) && $_FILES["urlhinh"]["error"] == 0)
	{
		//Thư mục lưu file upload

		$target_dir    = "uploads/thumb2020/";
		// Mã hoa ten file
		define('F_NAME', preg_replace('/\.(.+?)$/i', '', basename($_FILES['urlhinh']['name'])));   
    	$tenfile = F_NAME.'-'.mt_rand();
    	$sepext = explode('.', strtolower($_FILES['urlhinh']['name'])); 
    	$type = end($sepext);    /** gets extension **/ 
    	$filename = $tenfile.'.'.$type;
		//Vị trí file lưu tạm trong server
		$target_file   = $target_dir . $filename;
		$allowUpload   = true;
		//Lấy phần mở rộng của file
		$imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);
		$maxfilesize   = 2000000; //(bytes)
		////Những loại file được phép upload
		$allowtypes    = array('jpg', 'png', 'jpeg', 'gif');
		 //Kiểm tra xem có phải là ảnh
		    $check = getimagesize($_FILES["urlhinh"]["tmp_name"]);
		    if($check !== false) {
		        echo "Đây là file ảnh - " . $check["mime"] . ".";
		        $allowUpload = true;
		    } else {
		        echo "Không phải file ảnh.";
		        $allowUpload = false;
		    }
		
		// Kiểm tra kích thước file upload cho vượt quá giới hạn cho phép
		if ($_FILES["urlhinh"]["size"] > $maxfilesize)
		{
		    echo "Không được upload ảnh lớn hơn $maxfilesize (bytes).";
		    $allowUpload = false;
		}

		// Kiểm tra kiểu file
		if (!in_array($imageFileType,$allowtypes ))
		{
		    echo "Chỉ được upload các định dạng JPG, PNG, JPEG, GIF";
		    $allowUpload = false;
		}

		// Check if $uploadOk is set to 0 by an error
		if ($allowUpload) {
		    if (move_uploaded_file($_FILES["urlhinh"]["tmp_name"], $target_file))
		    {
		        echo "File ". basename( $_FILES["urlhinh"]["name"]).
		        " Đã upload thành công";
		    }
		    else
		    {
		        echo "Có lỗi xảy ra khi upload file.";
		    }
		}
		else
		{
		    echo "Không upload được file!";
		}
	}	else $filename = $row['urlHinh'];
		// -----------Kết thúc up ảnh----------

		$tieude = $_POST["tieude"];
		$tenkhongdau = $quantridata -> changeTitle($tieude);
		$urlhinh = $filename;
		$ngay = date_create($_POST["ngay"]) ;
		$ngay = date_format($ngay,"y-m-d");
		$iduser =	$_SESSION['iduser'];
		$noidung = $_POST['noidung'];
		$theloai = $_POST["theloai"];
		$theloai2 = $_POST["theloai2"];
		settype($theloai, "int");
		$quantridata -> suabaiviet($idtin,$tieude,$tenkhongdau,$urlhinh,$ngay,$noidung,$theloai,$theloai2);
		
		header("location:quantritueba.php?page=baiviet&trang=1");
	}
	
 ?>
 <script>
 	$(document).ready(function() {
	$("#ngay").datepicker({
	numberOfMonths: 1,  dateFormat: 'dd-mm-yy',
	monthNames: ['Một','Hai','Ba','Tư','Năm','Sáu','Bảy','Tám','Chín', 
	'Mười','Mười một','Mười hai'] ,
	monthNamesShort: ['Tháng1','Tháng2','Tháng3','Tháng4','Tháng5',
	'Tháng6','Tháng7','Tháng8','Tháng9','Tháng10','Tháng11','Tháng12'] ,
	dayNames: ['Chủ nhật', 'Thứ hai', 'Thứ ba', 'Thứ tư', 'Thứ năm',
	 'Thứ sáu', 'Thứ bảy'],
	dayNamesMin: ['CN', 'T2', 'T3', 'T4', 'T5', 'T6', 'T7'] ,
	showWeek: true , showOn: 'both',
	changeMonth: true , changeYear: true,
	currentText: 'Hôm nay', weekHeader: 'Tuần'

	});
	});
 </script>
 <script>
 	$(document).ready(function() {
 		$("#idtheloai").change(function(){
 			var id = $(this).val();
 			
 			$.get("uploadloaitin.php",{idtl:id},function(data){
 				$("#idloaitin").html(data);
 			})
 		})
 	});
 </script>
<div class="border-left  pl-2">
<h4 class="text-center text-light bg-info">SỬA BÀI VIẾT</h4> 
<form action="" method="POST" class="mt-2" enctype="multipart/form-data">
	<div class="form-group row">
		<label for="" class = "col-md-2"><strong>Tiêu đề</strong></label>
		<input type="text" class="form-control col-md-8" name="tieude" value = "<?php echo $row['TieuDe'] ?>">	
	</div>
	
	<div class="form-group row">
		<label for="" class = "col-md-2"><strong>Ngày</strong></label>
		<input type="text" class="form-control col-md-4" id="ngay" name="ngay" value = "<?php echo $row['Ngay']; ?>">	
	</div>
	
	<div class="form-group row">
		<label for="" class = "col-md-2"><strong>Thể loại</strong></label>
		<select class = "col-md-4" name="theloai" id = "idtheloai" >
			<?php  
				$result = $quantridata -> theloai();
				while($row1 = mysqli_fetch_array($result))
				{?>
					<option value="<?php echo $row1['idTL'] ?>" <?php if($row['idTL'] == $row1['idTL']) echo "selected" ?>><?php echo $row1['TenTL'] ?></option>
				<?php }?>
		</select>
		<label for="" class = "col-md-2"><strong>Thể loại 2</strong></label>
		<select class = "col-md-4" name="theloai2" id = "idtheloai2" >
			<option value="0">Chọn thêm thể loại</option>			
			<?php  
				$result = $quantridata -> theloai();
				while($row2 = mysqli_fetch_array($result))
				{?>
					<option value="<?php echo $row2['idTL'] ?>" <?php if($row['idTL2'] == $row2['idTL']) echo "selected" ?>><?php echo $row2['TenTL'] ?></option>
				<?php }?>
		</select>
	</div>
	<div class="form-group row">
		<label for="" class = "col-md-2"><strong>Upload hình</strong></label>
		<input type="file" value="upanh" name="urlhinh">
		
	</div>
	
	<div class="form-group ">
		<label for="" class = ""><strong>Nội dung</strong></label>
		<textarea name="noidung" id="noidung" cols="100" rows="10" ><?php echo $row['Content']; ?></textarea>
		<script>
		CKEDITOR.replace( 'noidung',{
	    language:'vi',
	    uiColor:'#9AB8F3',
	    filebrowserUploadUrl: 'ck_upload.php',
        filebrowserUploadMethod: 'form'
    	} );
		</script>	
		

	</div>
	
	 <button type="submit" class="btn btn-primary" name="sua">Cập nhập bài viết</button>	
</form>

</div>